:root {
  --bg-primary: #c31919;
  --breadcrumbs-bg: #951515;
  --bg-secondary: #951515;
  --button-bg: rgba(207, 34, 34, 0.53);
  --button-hover-bg: rgba(207, 193, 34, 0.53);
  --default-button-bg: rgba(207, 34, 34, 0.33);
  --default-button-hover-bg: rgba(207, 193, 34, 0.53);
  --header-bg: #c31919;
  --link-fg: black;

  #header {
    .theme-toggle svg.theme-icon-when-auto, .theme-toggle svg.theme-icon-when-dark, .theme-toggle svg.theme-icon-when-light {
      fill: var(--header-link-color);
      color: var(--bg-primary);
    }
  }
    div.submit-row {
      button, input, a{
        margin: 0;
        padding: 10px 15px;
      }
    }
  #container, {
    div.breadcrumbs {
      background-color: #951515;

      a, a:link, a:visited {
        color: white;
      }
    }

    .select2-container--default .select2-selection--single .select2-selection__rendered {
      color: white;
      line-height: 28px;

    }
  }

  a {
    &:link, &:visited {
      color: white;

      &:hover {
        color: grey;
      }
    }

    &.section {
      color: white;

      &:hover {
        color: yellow;
      }
    }
  }
}

html[data-theme="light"] {
  --bg-primary: #c31919;
  --bg-secondary: #951515;
  --breadcrumbs-bg: #951515;

  --button-bg: var(--bg-secondary);
  --button-hover-bg: rgba(223, 207, 75, 0.63);

  --default-button-bg: var(--bg-primary);
  --default-button-hover-bg: rgba(223, 207, 75, 0.63);

  --header-bg: #c31919;
  --fg-primary: white;
  --jse-theme-color: var(--bg-primary);

  #header {
    #branding {
      #site-name {
        a, a:link, a:visited {
          color: yellow;
        }
      }
    }
  }

  #container {
    .select2-container--default .select2-selection--single .select2-selection__rendered {
      color: black;
      line-height: 28px;
    }

    //.submit-row {
    //  input.default {
    //    background-color: var(--default-button-bg);
    //  }
    //}
  }


  div.breadcrumbs {
    background-color: var(--breadcrumbs-bg);

    a, a:link, a:visited {
      color: white;
    }
  }

  a {
    &:link, &:visited {
      color: black;

      &:hover {
        color: grey;
      }
    }

    &.section {
      color: white;

      &:hover {
        color: yellow;
      }
    }
  }

  //.button, input[type=submit], input[type=button], .submit-row input, a.button {
  //  background-color: var(--button-bg);
  //}

  #header, #changelist-filter h2 {
    background-color: var(--bg-primary);
  }

  #content-main {
    .object-tools {
      a.addlink {
        color: white;
      }
    }

    .module {
      h2, caption {
        background-color: var(--bg-secondary);
      }
    }
  }

}


html[data-theme="dark"] {
  --bg-primary: #c31919;
  --bg-secondary: #951515;
  --breadcrumbs-bg: #951515;
  --body-bg: #121212;
  --button-bg: var(--bg-secondary);
  --button-hover-bg: rgba(223, 207, 75, 0.63);
  --border-color: #353535;
  --default-button-bg: var(--bg-primary);
  --default-button-hover-bg: rgba(223, 207, 75, 0.63);

  --header-bg: #c31919;
  --fg-primary: white;
  --jse-theme-color: var(--bg-primary);

  #header {
    #branding {
      #site-name {
        a, a:link, a:visited {
          color: yellow;
        }
      }
    }
  }

  .help_text {
    a, a:visited, a:link {
      color: #ff5900;
    }
  }

  span.select2-container {
    width: 400px !important;
    background-color: var(--body-bg);

    ul {
      height: 32px;

      li.select2-selection__choice {
        color: black;
      }
    }

    .select2-dropdown {
      background-color: var(--body-bg);
    }

    &.select2-container--default {
      border: 1px solid var(--border-color);
      border-radius: 4px;


      &.select2-container--default {
        .select2-selection--single {
          background-color: var(--body-bg);
        }

        .select2-selection__rendered {
          color: var(--body-bg);

        }

      }
    }
  }

  //#container {
  //  .select2-container--default .select2-selection--single .select2-selection__rendered {
  //    color: white;
  //    background-color: var(--body-bg);
  //    line-height: 28px;
  //  }
  //}

  div.breadcrumbs {
    background-color: var(--breadcrumbs-bg);

    a, a:link, a:visited {
      color: white;
    }
  }

  a {
    &:link, &:visited {
      color: white;

      &:hover {
        color: grey;
      }
    }

    &.section {
      color: white;

      &:hover {
        color: yellow;
      }
    }
  }

  #header, #changelist-filter h2 {
    background-color: var(--bg-primary);
  }

  #content-main {
    .object-tools {
      a.addlink {
        color: white;
      }
    }

    .module {
      h2, caption {
        background-color: var(--bg-secondary);
      }
    }
  }

  .theme-toggle svg.theme-icon-when-auto, .theme-toggle svg.theme-icon-when-dark, .theme-toggle svg.theme-icon-when-light {
    fill: var(--header-link-color);
    color: var(--header-bg);
  }
}
